## net.i2p.client
Class SetDateMessageHandler

    java.lang.Object
      net.i2p.client.HandlerImpl
          net.i2p.client.SetDateMessageHandler

All Implemented Interfaces:
  I2CPMessageHandler

     class SetDateMessageHandler

extends HandlerImpl

Handle I2CP time messages from the router

Author:
  jrandom

Field Summary

Fields inherited from class net.i2p.client.HandlerImpl
`_context, _log`

Constructor Summary
`SetDateMessageHandler(I2PAppContext ctx)`

Method Summary
`void` `handleMessage(I2CPMessage message, I2PSessionImpl session)`

Methods inherited from class net.i2p.client.HandlerImpl
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetDateMessageHandler

    public SetDateMessageHandler(I2PAppContext ctx)

Method Detail

### handleMessage

    public void handleMessage(I2CPMessage message,
                              I2PSessionImpl session)